package com.ruoyi.system.domain.project;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 *  部门招商计划对象 bm_dept_plany
 * 
 * @author ruoyi
 * @date 2021-03-09
 */
public class BmDeptPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id* */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private String year;

    /** 计划 */
    @Excel(name = "计划")
    private Long plan;

    /** 目标签约数 */
    @Excel(name = "目标签约数")
    private Long targetSigningNum;

    /** 目标合同金额 */
    @Excel(name = "目标合同金额")
    private BigDecimal targetContractAmount;

    /** 目标到资金额 */
    @Excel(name = "目标到资金额")
    private BigDecimal targetArrivalAmount;

    /** 目标投产项目数 */
    @Excel(name = "目标投产项目数")
    private Long targetInvestmentNum;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setPlan(Long plan) 
    {
        this.plan = plan;
    }

    public Long getPlan() 
    {
        return plan;
    }
    public void setTargetSigningNum(Long targetSigningNum) 
    {
        this.targetSigningNum = targetSigningNum;
    }

    public Long getTargetSigningNum() 
    {
        return targetSigningNum;
    }
    public void setTargetContractAmount(BigDecimal targetContractAmount) 
    {
        this.targetContractAmount = targetContractAmount;
    }

    public BigDecimal getTargetContractAmount() 
    {
        return targetContractAmount;
    }
    public void setTargetArrivalAmount(BigDecimal targetArrivalAmount) 
    {
        this.targetArrivalAmount = targetArrivalAmount;
    }

    public BigDecimal getTargetArrivalAmount() 
    {
        return targetArrivalAmount;
    }
    public void setTargetInvestmentNum(Long targetInvestmentNum) 
    {
        this.targetInvestmentNum = targetInvestmentNum;
    }

    public Long getTargetInvestmentNum() 
    {
        return targetInvestmentNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sysDeptId", getSysDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("year", getYear())
            .append("plan", getPlan())
            .append("targetSigningNum", getTargetSigningNum())
            .append("targetContractAmount", getTargetContractAmount())
            .append("targetArrivalAmount", getTargetArrivalAmount())
            .append("targetInvestmentNum", getTargetInvestmentNum())
            .toString();
    }
}
